> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/internal/save-asi-1-human-feedback/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Save Asi1 Human Feedback POST https://agentverse.ai/internal/asi1-human-feedback Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/internal/save-asi-1-human-feedback ## Request ### Body (application/json) This endpoint expects an ASI1HumanFeedbackRequest. - `address` (string, required) — The address of the agent - `positive` (boolean, required) — denotes if user gave positive feedback on agent response - `response` (string, required) — agent response that the user gave feedback on - `contract` (enum, optional) — The Almanac contract where the agent is registered - Allowed values: `mainnet`, `testnet` ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "address": "foo", "positive": true, "response": "foo" } ``` **SDK Code** ```python internalSaveAsi1HumanFeedbackExample import requests url = "https://agentverse.ai/internal/asi1-human-feedback" payload = { "address": "foo", "positive": True, "response": "foo" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript internalSaveAsi1HumanFeedbackExample const url = 'https://agentverse.ai/internal/asi1-human-feedback'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"address":"foo","positive":true,"response":"foo"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go internalSaveAsi1HumanFeedbackExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/internal/asi1-human-feedback" payload := strings.NewReader("{\n \"address\": \"foo\",\n \"positive\": true,\n \"response\": \"foo\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby internalSaveAsi1HumanFeedbackExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/internal/asi1-human-feedback") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"address\": \"foo\",\n \"positive\": true,\n \"response\": \"foo\"\n}" response = http.request(request) puts response.read_body ``` ```java internalSaveAsi1HumanFeedbackExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/internal/asi1-human-feedback") .header("Content-Type", "application/json") .body("{\n \"address\": \"foo\",\n \"positive\": true,\n \"response\": \"foo\"\n}") .asString(); ``` ```php internalSaveAsi1HumanFeedbackExample request('POST', 'https://agentverse.ai/internal/asi1-human-feedback', [ 'body' => '{ "address": "foo", "positive": true, "response": "foo" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp internalSaveAsi1HumanFeedbackExample using RestSharp; var client = new RestClient("https://agentverse.ai/internal/asi1-human-feedback"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"address\": \"foo\",\n \"positive\": true,\n \"response\": \"foo\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift internalSaveAsi1HumanFeedbackExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "address": "foo", "positive": true, "response": "foo" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/internal/asi1-human-feedback")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.